[OOM] add helm3 linting
[ci-management.git] / shell / helm2-repo-init.sh
diff --git a/shell/helm2-repo-init.sh b/shell/helm2-repo-init.sh
new file mode 100755 (executable)
index 0000000..fb2f810
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+# client only init, tiller will not be installed
+helm init --client-only
+cd kubernetes/ || exit
+make repo
+cd ..